Bug 84866 - [Qt] New inspector/debugger/linkifier.html is flakey from the beginning. r115064.
: [Qt] New inspector/debugger/linkifier.html is flakey from the beginning. r115...
Status: RESOLVED INVALID
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 84722 87008
  Show dependency treegraph
 
Reported: 2012-04-25 08:09 PDT by Ádám Kallai
Modified: 2014-02-03 03:20 PST (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ádám Kallai 2012-04-25 08:09:47 PDT
I try to reproduce this.

Result:

I check it:  xvfb-run -a --server-args="-screen 0 1024x768x24" Tools/Scripts/run-webkit-tests --no-launch-safari --no-new-test-results -v --no-sample-on-timeout  --use-remote-links-to-tests --release --qt --iteration 100


=> Results: 55/100 tests passed (55.0%)

=> Tests to be fixed (0):

=> Tests that will only be fixed if they crash (WONTFIX) (0):

08:07:27.533 31893 55 tests ran as expected, 45 didn't:
08:07:27.533 31893 

Regressions: Unexpected text diff mismatch : (1)
  inspector/debugger/linkifier.html = TEXT


Could you check it please?
Comment 1 Ádám Kallai 2012-04-25 08:17:00 PDT
I'm sorry. I forgot to write down. I tested this revision:

http://trac.webkit.org/changeset/115064

I'm going to skip this test until fix it.
Comment 2 Kristóf Kosztyó 2012-04-25 08:35:34 PDT
Committed r115213: <http://trac.webkit.org/changeset/115213>
Comment 3 Csaba Osztrogonác 2012-04-25 08:37:12 PDT
Reopen, because it isn't fixed with skipping :)
Comment 4 Bruno Abinader (history only) 2012-06-18 06:52:37 PDT
Test passes on a Qt5 Linux 32 bits environment, after removing it from Skipped list (as up to r120589).
Comment 5 Csaba Osztrogonác 2012-11-22 03:35:37 PST
It doesn't pass at all, this test is still flakey and this flakiness is easily reproducible as Ádám mentioned in the description of this bug.

Here is the diff:

--- /home/oszi/WebKit/WebKitBuild/Release/layout-test-results/inspector/debugger/linkifier-expected.txt
+++ /home/oszi/WebKit/WebKitBuild/Release/layout-test-results/inspector/debugger/linkifier-actual.txt
@@ -3,10 +3,19 @@
 Debugger was enabled.
 The string "at triggerError (http://localhost/show/:22:11) " linkifies to url: http://localhost/show/
 The lineNumber is 22 with type number
-listeners added on raw source code: 1
-original location: linkifier.html:9
-pretty printed location: linkifier.html:12
-reverted location: linkifier.html:9
-listeners removed from raw source code: 1
-Debugger was disabled.
+Exception while running: function waitForScripts() {
+        InspectorTest.showScriptSource("linkifier.html", debuggerTest);
+    }
+liveLocationsCount
+debuggerTest
+showUISourceCode
+showScriptSource
+waitForScripts
+result
+startTest
+result

+[native code]
+dispatch@qrc:/webkit/inspector/InspectorBackend.js:186
+qrc:/webkit/inspector/inspector.js:531
+
Comment 6 Jocelyn Turcotte 2014-02-03 03:20:39 PST
=== Bulk closing of Qt bugs ===

If you believe that this bug report is still relevant for a non-Qt port of webkit.org, please re-open it and remove [Qt] from the summary.

If you believe that this is still an important QtWebKit bug, please fill a new report at https://bugreports.qt-project.org and add a link to this issue. See http://qt-project.org/wiki/ReportingBugsInQt for additional guidelines.